<?php
/*-----------------------------------------------*/
/*  EXTHEM.ES
/*  PREMIUM WORDRESS THEMES
/*
/*  STOP DON'T TRY EDIT
/*  IF YOU DON'T KNOW PHP 
/*
/*  As Errors In Your Themes
/*  Are Not The Responsibility
/*  Of The DEVELOPERS
/*  @EXTHEM.ES
/*
/*  Exthemes Devs
/*  Follow Social Media Exthem.es
/*  Youtube : https://www.youtube.com/channel/UCpcZNXk6ySLtwRSBN6fVyLA
/*  Facebook : https://www.facebook.com/groups/exthem.es
/*  Twitter : https://x.com/bangreyblog
/*  Instagram : https://www.instagram.com/exthem.es/
/*  Telegram : https://t.me/exthemes_helps
/*  TikTok : https://www.tiktok.com/@exthemes
/*  WhatsApp : https://www.whatsapp.com/channel/0029Vb6AEmKBadmi1G2r6g0U
/*
/*	More Premium Themes Visit Now On https://exthem.es/
/*-----------------------------------------------*/
if ( ! defined( 'ABSPATH' ) ) exit; 

define('ERRORS', WP_DEBUG );

//@ini_set('WP_MEMORY_LIMIT', '1024M');
//@ini_set('WP_MAX_MEMORY_LIMIT', '1024M');
//@ini_set('upload_max_size', '1024M');
//@ini_set('post_max_size', '1024M');
//@ini_set('max_execution_time', '600');
//@ini_set('pcre.recursion_limit', 20000000);
//@ini_set('pcre.backtrack_limit', 10000000);

// ~~~~~~~~~~~~~~~~~  @EXTHEM.ES  ~~~~~~~~~~~~~~~~~~~~~~~ \\  

$theme_version		= wp_get_theme()->get( 'Version' );
$theme_name			= wp_get_theme()->get( 'Name' );
$theme_url			= wp_get_theme()->get( 'AuthorURI' );
$link_sites			= get_bloginfo('url');
$parse				= parse_url($link_sites);
$sites				= $parse['host'];

define('TEXT_DOMAIN', strtolower($theme_name));
define('DOMAINSITES', $link_sites);
define('THEMES_NAMES', $theme_name);
define('EX_THEMES_NAMES_',THEMES_NAMES);
define('EX_THEMES_NAMES2_',THEMES_NAMES);
define('DEVS', 'Exthemes Devs' );
define('SLUGSX','exthemes');
define('VERSION', $theme_version);
define('SPACES_THEMES', 'v');
define('VERSIONS_THEMES', VERSION);
define('EXTHEMES_VERSION', VERSION);
define('EX_THEMES_SLUGS_', SLUGSX);
define('EXTHEMES_SLUG', SLUGSX);
define('EXTHEMES_NAME', $theme_name );

define('SITUS', 'https://exthem.es' ); 
define('EXTHEMES_API_URL', SITUS );
define('exthemes', SITUS );

// ~~~~~~~~~~~~~~~~~  @EXTHEM.ES  ~~~~~~~~~~~~~~~~~~~~~~~ \\  
define('PRODUCT_API_URL', SITUS );
define('PRODUCT_ID', 1861 );
define('PRODUCT_NAME', EXTHEMES_NAME );
define('PRODUCT_VERSIONS', VERSION );
define('PRODUCT_THEME_SLUG', strtolower($theme_name));
define('PRODUCT_AUTHOR', 'exthem.es' );

// ~~~~~~~~~~~~~~~~~  @EXTHEM.ES  ~~~~~~~~~~~~~~~~~~~~~~~ \\  
 
define('EXTHEMES_ITEMS_URL', EXTHEMES_API_URL.'/item/moddroid-themes-premium/' );
define('EXTHEMES_DEMO_URL', 'https://moddroid.demos.web.id/' );
define('EXTHEMES_DEMO_RTL_URL', 'https://moddroid.demos.web.id/ar' );
define('EXTHEMES_MEMBER_URL', EXTHEMES_API_URL.'/user/' );
define('EXTHEMES_HOW_TO', EXTHEMES_API_URL.'/how-to-see-my-license-key-and-download-link/' ); 
define('EXTHEMES_HELPS_NAME', 'exthemes_helps' );
define('EXTHEMES_AUTHOR', 'exthem.es' );

// ~~~~~~~~~~~~~~~~~  @EXTHEM.ES  ~~~~~~~~~~~~~~~~~~~~~~~ \\  
define('EXTHEMES_FACEBOOK_URL', 'https://www.facebook.com/groups/exthem.es' );
define('EXTHEMES_TWITTER_URL', 'https://x.com/bangreyblog' );
define('EXTHEMES_INSTAGRAM_URL', 'https://www.instagram.com/exthem.es/' );
define('EXTHEMES_YOUTUBE_URL', 'https://www.youtube.com/channel/UCOrw7drqals10l7HVMXovjQ?sub_confirmation=1' );
define('EXTHEMES_LINKEDIN_URL', 'https://www.linkedin.com/in/bangreyblogs' );
define('EXTHEMES_TELEGRAM_URL', 'https://t.me/exthemes_helps' );
define('EXTHEMES_TELEGRAM_URL_ALT', 'https://t.me/my_myid' );
define('EXTHEMES_TIKTOK_URL', 'https://www.tiktok.com/@exthemes' );
define('EXTHEMES_WHATSAPP_URL', 'https://whatsapp.com/channel/0029Vb6AEmKBadmi1G2r6g0U' );
define('EXTHEMES_HELPS_URL', EXTHEMES_WHATSAPP_URL );

// ~~~~~~~~~~~~~~~~~  @EXTHEM.ES  ~~~~~~~~~~~~~~~~~~~~~~~ \\  
//define('WEBSCHANGELOGS', get_template_directory().'/changelog.php' );
define('WEB_CHANGELOG', EXTHEMES_ITEMS_URL.'/changelog' );
//define('WEBSSUPPORTS', '/livesupports.php' );
define('EXTHEMES_DEVS_BLOG', 'https://blog.exthem.es' );
define('IDIFRAMEYUTUBE', 'aSAuUL30q44' );
define('EX_THEMES_URI', get_template_directory_uri());
define('EX_THEMES_DIR', get_template_directory()); 
require EX_THEMES_DIR.'/libs/update/license.php';
ini_set('display_errors', ERRORS);
//error_reporting(-1);

// ~~~~~~~~~~~~~~~~~  @EXTHEM.ES  ~~~~~~~~~~~~~~~~~~~~~~~ \\ 
// you can add your code on below
// ~~~~~~~~~~~~~~~~~  @EXTHEM.ES  ~~~~~~~~~~~~~~~~~~~~~~~ \\  

